8

Trying to install icedtea-7-plugin on 14.10 x64 gives an error.

apt-get install icedtea-7-plugin
. . .
Selecting previously unselected package icedtea-netx:amd64.
. . .
Processing triggers for man-db (2.7.0.2-2) ...
E: Sub-process /usr/bin/dpkg returned an error code (1)

It seems there is a problem with a dependency, icedtea-netx. So I tried to install icedtea-netx just by itself, and the error is shown below.

It seemed to be looking for java-8-openjdk-amd64. I had installed openjdk-7-jre from the repositories, so I uninstalled that and installed both openjdk-8-jre and openjdk-8-jdk. However, this did not correct the issue with icedtea-netx.

(I want to use icedtea and open JDK, not the proprietary Java from Oracle).

Has anyone experienced this, and is there a resolution to the problem?

Here is the output of apt-get install icedtea-netx...

apt-get install icedtea-netx
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  icedtea-netx-common
The following NEW packages will be installed:
  icedtea-netx icedtea-netx-common
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst icedtea-netx-common (1.5.1-1ubuntu1 Ubuntu:14.10/utopic [all])
Inst icedtea-netx (1.5.1-1ubuntu1 Ubuntu:14.10/utopic [amd64])
Conf icedtea-netx-common (1.5.1-1ubuntu1 Ubuntu:14.10/utopic [all])
Conf icedtea-netx (1.5.1-1ubuntu1 Ubuntu:14.10/utopic [amd64])
root@PS001:/etc/apt/sources.list.d# apt-get install icedtea-netx
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  icedtea-netx-common
The following NEW packages will be installed:
  icedtea-netx icedtea-netx-common
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/1138 kB of archives.
After this operation, 1505 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Selecting previously unselected package icedtea-netx-common.
(Reading database ... 314900 files and directories currently installed.)
Preparing to unpack .../icedtea-netx-common_1.5.1-1ubuntu1_all.deb ...
Unpacking icedtea-netx-common (1.5.1-1ubuntu1) ...
Selecting previously unselected package icedtea-netx:amd64.
Preparing to unpack .../icedtea-netx_1.5.1-1ubuntu1_amd64.deb ...
Unpacking icedtea-netx:amd64 (1.5.1-1ubuntu1) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu2) ...
Processing triggers for bamfdaemon (0.5.1+14.10.20140925-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.55ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for man-db (2.7.0.2-2) ...
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@PS001:/etc/apt/sources.list.d# apt-get -f install             
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up icedtea-netx:amd64 (1.5.1-1ubuntu1) ...
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/itweb-settings because link group itweb-settings is broken
update-alternatives: warning: not replacing /usr/share/man/man1/itweb-settings.1.gz with a link
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/itweb-settings because link group itweb-settings is broken
update-alternatives: warning: not replacing /usr/share/man/man1/itweb-settings.1.gz with a link
update-alternatives: error: alternative path /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/javaws doesn't exist
dpkg: error processing package icedtea-netx:amd64 (--configure):
 subprocess installed post-installation script returned error exit status 2
Errors were encountered while processing:
 icedtea-netx:amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
6

I have successfully tried another temporary workaround.

The error message says: "update-alternatives: error: alternative path /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/javaws doesn't exist". So, I have created a symbolic link then deinstall one by one the packages (icedtea-plugin, then icedtea-7-plugin, then icedtea-netx (it's not necessary for icedtea-netx-common)), then reinstall icedtea-plugin.

cd /usr/lib/jvm
ln -s java-1.7.0-openjdk-amd64 java-8-openjdk-amd64
apt-get purge icedtea-plugin
apt-get purge icedtea-7-plugin
apt-get purge icedtea-netx
apt-get install icedtea-plugin

Giles

  • Thanks. This seemed to work for me. I don't really like to mess to much with these kind of dirty fixes, but it'll do until Canonical fixes the issue. :) – Gladen Nov 16 '14 at 21:01
  • Also worked for me! Thank you sir – GeoMint Dec 3 '14 at 18:16
1

I have the same problem, and I assumed this is a bug in the package. I have reported it. As a workaround I have followed the instructions on installing the Oracle Java.

  • Thanks. I wasn't sure this was a bug, or something wrong I had done. I have indicated that I am impacted by the bug you opened. (We might have to close this question, if this is a verified bug). – PJ Singh Oct 24 '14 at 21:08
0

If you have both openjdk 7 and 8 installed, you can just symlink javaws and itweb-settings and then reinstall icedtea-plugin, icedtea-7-plugin, and icedtea-netx

sudo ln -s /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/javaws /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/javaws$
sudo ln -s /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/itweb-settings /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/itweb-settings

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.